searchNodes=[{"doc":"Documentation for Strsim.","ref":"Strsim.html","title":"Strsim","type":"module"},{"doc":"Like optimal string alignment, but substrings can be edited an unlimited number of times, and the triangle inequality holds.iex&gt; Strsim.damerau_levenshtein(&quot;ab&quot;, &quot;bca&quot;) {:ok, 2}","ref":"Strsim.html#damerau_levenshtein/2","title":"Strsim.damerau_levenshtein/2","type":"function"},{"doc":"Like optimal string alignment, but substrings can be edited an unlimited number of times, and the triangle inequality holds.iex&gt; Strsim.damerau_levenshtein!(&quot;ab&quot;, &quot;bca&quot;) 2","ref":"Strsim.html#damerau_levenshtein!/2","title":"Strsim.damerau_levenshtein!/2","type":"function"},{"doc":"Calculates the number of positions in the two sequences where the elements differ. Returns an error if the sequences have different lengths.iex&gt; Strsim.generic_hamming([1, 2], [1, 3]) {:ok, 1} iex&gt; Strsim.generic_hamming([1, 2], [1, 3, 4]) {:error, :different_length_args}","ref":"Strsim.html#generic_hamming/2","title":"Strsim.generic_hamming/2","type":"function"},{"doc":"Calculates the number of positions in the two sequences where the elements differ. Returns an error if the sequences have different lengths.iex&gt; Strsim.generic_hamming!([1, 2], [1, 3]) 1 iex&gt; Strsim.generic_hamming!([1, 2], [1, 3, 4]) ** (Strsim.DifferentLengthArgsError) arguments are different length","ref":"Strsim.html#generic_hamming!/2","title":"Strsim.generic_hamming!/2","type":"function"},{"doc":"Calculates the Jaro similarity between two sequences. The returned value is between 0.0 and 1.0 (higher value means more similar).iex&gt; Strsim.generic_jaro([1, 2], [1, 3, 4]) {:ok, 0.611111111111111}","ref":"Strsim.html#generic_jaro/2","title":"Strsim.generic_jaro/2","type":"function"},{"doc":"Calculates the Jaro similarity between two sequences. The returned value is between 0.0 and 1.0 (higher value means more similar).iex&gt; Strsim.generic_jaro!([1, 2], [1, 3, 4]) 0.611111111111111","ref":"Strsim.html#generic_jaro!/2","title":"Strsim.generic_jaro!/2","type":"function"},{"doc":"Like Jaro but gives a boost to sequences that have a common prefix.iex&gt; Strsim.generic_jaro_winkler([1, 2], [1, 3, 4]) {:ok, 0.6499999999999999}","ref":"Strsim.html#generic_jaro_winkler/2","title":"Strsim.generic_jaro_winkler/2","type":"function"},{"doc":"Like Jaro but gives a boost to sequences that have a common prefix.iex&gt; Strsim.generic_jaro_winkler!([1, 2], [1, 3, 4]) 0.6499999999999999","ref":"Strsim.html#generic_jaro_winkler!/2","title":"Strsim.generic_jaro_winkler!/2","type":"function"},{"doc":"Calculates the minimum number of insertions, deletions, and substitutions required to change one sequence into the other.iex&gt; Strsim.generic_levenshtein([1, 2, 3], [1, 2, 3, 4, 5, 6]) {:ok, 3}","ref":"Strsim.html#generic_levenshtein/2","title":"Strsim.generic_levenshtein/2","type":"function"},{"doc":"Calculates the minimum number of insertions, deletions, and substitutions required to change one sequence into the other.iex&gt; Strsim.generic_levenshtein!([1, 2, 3], [1, 2, 3, 4, 5, 6]) 3","ref":"Strsim.html#generic_levenshtein!/2","title":"Strsim.generic_levenshtein!/2","type":"function"},{"doc":"Calculates the number of positions in the two strings where the characters differ. Returns an error if the strings have different lengths.iex&gt; Strsim.hamming(&quot;hamming&quot;, &quot;hammers&quot;) {:ok, 3} iex&gt; Strsim.hamming(&quot;hamming&quot;, &quot;ham&quot;) {:error, :different_length_args}","ref":"Strsim.html#hamming/2","title":"Strsim.hamming/2","type":"function"},{"doc":"Calculates the number of positions in the two strings where the characters differ. Returns an error if the strings have different lengths.iex&gt; Strsim.hamming!(&quot;hamming&quot;, &quot;hammers&quot;) 3 iex&gt; Strsim.hamming!(&quot;hamming&quot;, &quot;ham&quot;) ** (Strsim.DifferentLengthArgsError) arguments are different length","ref":"Strsim.html#hamming!/2","title":"Strsim.hamming!/2","type":"function"},{"doc":"Calculates the Jaro similarity between two strings. The returned value is between 0.0 and 1.0 (higher value means more similar).iex&gt; Strsim.jaro(&quot;Friedrich Nietzsche&quot;, &quot;Jean-Paul Sartre&quot;) {:ok, 0.39188596491228067}","ref":"Strsim.html#jaro/2","title":"Strsim.jaro/2","type":"function"},{"doc":"Calculates the Jaro similarity between two strings. The returned value is between 0.0 and 1.0 (higher value means more similar).iex&gt; Strsim.jaro!(&quot;Friedrich Nietzsche&quot;, &quot;Jean-Paul Sartre&quot;) 0.39188596491228067","ref":"Strsim.html#jaro!/2","title":"Strsim.jaro!/2","type":"function"},{"doc":"Like Jaro but gives a boost to strings that have a common prefix.iex&gt; Strsim.jaro_winkler(&quot;cheeseburger&quot;, &quot;cheese fries&quot;) {:ok, 0.9111111111111111}","ref":"Strsim.html#jaro_winkler/2","title":"Strsim.jaro_winkler/2","type":"function"},{"doc":"Like Jaro but gives a boost to strings that have a common prefix.iex&gt; Strsim.jaro_winkler!(&quot;cheeseburger&quot;, &quot;cheese fries&quot;) 0.9111111111111111","ref":"Strsim.html#jaro_winkler!/2","title":"Strsim.jaro_winkler!/2","type":"function"},{"doc":"Calculates the minimum number of insertions, deletions, and substitutions required to change one string into the other.iex&gt; Strsim.levenshtein(&quot;kitten&quot;, &quot;sitting&quot;) {:ok, 3}","ref":"Strsim.html#levenshtein/2","title":"Strsim.levenshtein/2","type":"function"},{"doc":"Calculates the minimum number of insertions, deletions, and substitutions required to change one string into the other.iex&gt; Strsim.levenshtein!(&quot;kitten&quot;, &quot;sitting&quot;) 3","ref":"Strsim.html#levenshtein!/2","title":"Strsim.levenshtein!/2","type":"function"},{"doc":"Calculates a normalized score of the Damerau–Levenshtein algorithm between 0.0 and 1.0 (inclusive), where 1.0 means the strings are the same.iex&gt; Strsim.normalized_damerau_levenshtein(&quot;levenshtein&quot;, &quot;löwenbräu&quot;) {:ok, 0.2727272727272727}","ref":"Strsim.html#normalized_damerau_levenshtein/2","title":"Strsim.normalized_damerau_levenshtein/2","type":"function"},{"doc":"Calculates a normalized score of the Damerau–Levenshtein algorithm between 0.0 and 1.0 (inclusive), where 1.0 means the strings are the same.iex&gt; Strsim.normalized_damerau_levenshtein!(&quot;levenshtein&quot;, &quot;löwenbräu&quot;) 0.2727272727272727","ref":"Strsim.html#normalized_damerau_levenshtein!/2","title":"Strsim.normalized_damerau_levenshtein!/2","type":"function"},{"doc":"Calculates a normalized score of the Levenshtein algorithm between 0.0 and 1.0 (inclusive), where 1.0 means the strings are the same.iex&gt; Strsim.normalized_levenshtein(&quot;kitten&quot;, &quot;sitting&quot;) {:ok, 0.5714285714285714}","ref":"Strsim.html#normalized_levenshtein/2","title":"Strsim.normalized_levenshtein/2","type":"function"},{"doc":"Calculates a normalized score of the Levenshtein algorithm between 0.0 and 1.0 (inclusive), where 1.0 means the strings are the same.iex&gt; Strsim.normalized_levenshtein!(&quot;kitten&quot;, &quot;sitting&quot;) 0.5714285714285714","ref":"Strsim.html#normalized_levenshtein!/2","title":"Strsim.normalized_levenshtein!/2","type":"function"},{"doc":"Like Levenshtein but allows for adjacent transpositions. Each substring can only be edited once.iex&gt; Strsim.osa_distance(&quot;ab&quot;, &quot;bca&quot;) {:ok, 3}","ref":"Strsim.html#osa_distance/2","title":"Strsim.osa_distance/2","type":"function"},{"doc":"Like Levenshtein but allows for adjacent transpositions. Each substring can only be edited once.iex&gt; Strsim.osa_distance!(&quot;ab&quot;, &quot;bca&quot;) 3","ref":"Strsim.html#osa_distance!/2","title":"Strsim.osa_distance!/2","type":"function"},{"doc":"Calculates a Sørensen-Dice similarity distance using bigrams.iex&gt; Strsim.sorensen_dice(&quot;ferris&quot;, &quot;feris&quot;) {:ok, 0.8888888888888888}","ref":"Strsim.html#sorensen_dice/2","title":"Strsim.sorensen_dice/2","type":"function"},{"doc":"Calculates a Sørensen-Dice similarity distance using bigrams.iex&gt; Strsim.sorensen_dice!(&quot;ferris&quot;, &quot;feris&quot;) 0.8888888888888888","ref":"Strsim.html#sorensen_dice!/2","title":"Strsim.sorensen_dice!/2","type":"function"},{"doc":"","ref":"Strsim.DifferentLengthArgsError.html","title":"Strsim.DifferentLengthArgsError","type":"exception"}]